## python-textile 2.3.5

=== requirements.txt ===
html5lib==0.999
Pillow==3.0.0

## python-textile 2.1.5

=== debian/changelog ===
python-textile (1:2.1.5-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:12:34 +0000

python-textile (1:2.1.5-1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream version.
  * Remove public Python module "test" (Closes: #627539).
  * Switch to source format 3.0 (quilt).
  * Bump standards to 3.9.2.
  * Update debian/copyright to DEP5 format.
  * Change my email address to janos@resenje.org.
  * Switch to dh_python2.

  [ Jan Dittberner ]
  * add X-Python-Version: >= 2.5
  * depend on python (>= 2.6.6-3~) instead of python-all (>= 2.5)

 -- Janos Guljas <janos@resenje.org>  Fri, 27 May 2011 17:22:14 +0200

python-textile (1:2.1.4-1) unstable; urgency=low

  * New upstream release 
  * Updated debian/patches/01_tests-in-py-modules.diff
  * Added override_dh_auto_test in debian/rules
  * debian/patches/01_django-test-fix.diff: Fix test failure in python-django

 -- Janos Guljas <janos@janos.in.rs>  Wed, 09 Dec 2009 02:02:17 +0100

python-textile (1:2.1.3-1) unstable; urgency=low

  * New maintainer (Closes: #540943)
  * New upstream release.
  * Added epoch to correct a mistake in version numbering
  * debian/compat
    - update debhelper compatibility to 7.
  * debian/control
    - removed python-central from Build-Depends-Indep.
    - package now uses python-support and quilt.
    - bumped Standards-Version to 3.8.3
    - added Homepage
    - added Vcs-Svn
    - added Vcs-Browser
    - added XS-Python-Version
    - added XB-Python-Version
    - removed recommendation of python-twisted (Closes: #514626)
  * debian/copyright
    - updated copyright to new upstream author
    - added myself as a new maintainer
  * debian/docs
    - added README.textile
  * Added README.source
  * debian/rules
    - simplified script
  * Added debian/watch
  * debian/patches/01_tests-in-py-modules.diff: include tests in package

 -- Janos Guljas <janos@janos.in.rs>  Sat, 21 Nov 2009 23:05:57 +0100

python-textile (2.10-3.1.2) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490501.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:40:54 +0000

python-textile (2.0.10-3.1) unstable; urgency=low

  * NMU: Updated to new Python policy. (closes: #373362)
  * Updated standards-version.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Mon, 26 Jun 2006 13:23:33 -0500

python-textile (2.0.10-3) unstable; urgency=low

  * This package is Architecture: all, not "any"

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  4 Apr 2005 03:23:50 +0100

python-textile (2.0.10-2) unstable; urgency=low

  * Fixed Build-Depends to not FTBFS (closes: Bug#288848).

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu,  6 Jan 2005 17:15:35 +0000

python-textile (2.0.10-1) unstable; urgency=low

  * Initial Release (closes: Bug#286528).

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 20 Dec 2004 17:10:29 +0000

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://loopcore.com/python-textile/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-textile/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-textile/trunk/

Package: python-textile
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python module that implements a parser and generator
 that supports the Textile markup syntax.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/textile/textile-(.*).tar.gz

## python-textile 2.2.2

=== debian/changelog ===
python-textile (1:2.2.2-1) unstable; urgency=low

  * Team upload, with maintainer's permission.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * fix Homepage URL

  [ Dmitry Shachnev ]
  * New upstream release.
  * Switch to pybuild buildsystem and build a python3-textile package
    (closes: #802167).
  * Skip a test that requires network access.
  * Update debian/copyright.
  * Update debian/watch to use the pypi.debian.net redirector.
  * Add html5lib to build-dependencies, for the sanitizer test.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 14 Dec 2015 18:34:21 +0300

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python (>= 2.6.6-3~),
               python-html5lib,
               python-nose,
               python-setuptools,
               python3-all,
               python3-html5lib,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/textile/python-textile
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-textile.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-textile.git

Package: python-textile
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python 2 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 2 module that implements a parser and generator
 that supports the Textile markup syntax.

Package: python3-textile
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 3 module that implements a parser and generator
 that supports the Textile markup syntax.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=textile

%:
	dh $@ --with python2,python3 --buildsystem pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/textile/textile-(.*)\.tar\.gz

## python-textile 2.3.3

=== debian/changelog ===
python-textile (1:2.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Shachnev ]
  * Update debian/watch to point to GitHub, as the tarballs on PyPI no
    longer contain tests.
  * New upstream release.
  * Build-depend on pytest, pytest-cov and pytest-runner instead of nose.
  * Rebase the patch to disable tests that need network access.
  * Install upstream changelog and README file as docs.
  * Use install files to prevent installing unnecessary stuff.
  * Update debian/copyright.
  * Suggest html5lib, PIL and regex packages.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Jul 2016 20:41:58 +0300

## python-textile 2.3.5

=== debian/changelog ===
python-textile (1:2.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix path to README.textile in the tests to make them pass on our build.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Nov 2016 20:38:52 +0300

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,27 @@
                dh-python,
                python (>= 2.6.6-3~),
                python-html5lib,
-               python-nose,
+               python-pytest,
+               python-pytest-cov,
+               python-pytest-runner,
                python-setuptools,
                python3-all,
                python3-html5lib,
-               python3-nose,
+               python3-pytest,
+               python3-pytest-cov,
+               python3-pytest-runner,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/textile/python-textile
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-textile.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-textile.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-textile.git
 
 Package: python-textile
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-html5lib, python-pil (>= 3.0), python-regex
 Description: Python 2 parser for the Textile markup
  Textile is an XHTML generator that uses a simple markup, similar
  to the one you can find on most wikis.
@@ -33,6 +38,7 @@
 Package: python3-textile
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python3-html5lib, python3-pil (>= 3.0), python3-regex
 Description: Python 3 parser for the Textile markup
  Textile is an XHTML generator that uses a simple markup, similar
  to the one you can find on most wikis.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.textile

## python-textile 2.3.12

=== debian/changelog ===
python-textile (1:2.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Set DPMT as Maintainer and add myself to Uploaders (closes: #849734).
    Thanks to Janos Guljas for his past work on this package!
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Jun 2017 13:45:37 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-textile
 Section: python
 Priority: optional
-Maintainer: Janos Guljas <janos@resenje.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python (>= 2.6.6-3~),
@@ -17,7 +17,7 @@
                python3-pytest-cov,
                python3-pytest-runner,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/textile/python-textile

## python-textile 2.10-3.1.2

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11)
Build-Depends-Indep: python-central (>=0.5)
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-textile
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}
Recommends: python-twisted
Description: Python parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python module that implements a parser and generator
 that supports the Textile markup syntax.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	python setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean
	python setup.py clean -a

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/python-textile.
	# $(MAKE) install DESTDIR=$(CURDIR)/debian/python-textile
	python setup.py install --no-compile \
		--prefix=$(CURDIR)/debian/python-textile/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_pycentral
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-textile 3.0.0

=== requirements.txt ===
html5lib>=1.0b10
Pillow==3.0.0
regex

=== debian/changelog ===
python-textile (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0001-Skip-a-test-that-requires-access-to-www.google.com.patch.
  * Bump X-Python-Version to 2.7 and X-Python3-Version to 3.3, following
    upstream.
  * Bump required version of html5lib and move it from Suggests to Depends.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Nov 2017 14:39:25 +0300

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python (>= 2.6.6-3~),
               python-html5lib (>= 0.999999999),
               python-pytest,
               python-pytest-cov,
               python-pytest-runner,
               python-setuptools,
               python3-all,
               python3-html5lib (>= 0.999999999),
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-setuptools
Standards-Version: 4.1.1
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: https://github.com/textile/python-textile
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-textile.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-textile.git

Package: python-textile
Architecture: all
Depends: python-html5lib (>= 0.999999999), ${misc:Depends}, ${python:Depends}
Suggests: python-pil (>= 3.0), python-regex
Description: Python 2 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 2 module that implements a parser and generator
 that supports the Textile markup syntax.

Package: python3-textile
Architecture: all
Depends: python3-html5lib (>= 0.999999999), ${misc:Depends}, ${python3:Depends}
Suggests: python3-pil (>= 3.0), python3-regex
Description: Python 3 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 3 module that implements a parser and generator
 that supports the Textile markup syntax.

## python-textile 3.0.3

=== debian/changelog ===
python-textile (1:3.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update to debhelper compat level 11.
  * Drop 0002-Fix-path-to-README.textile-when-running-the-tests.patch.
    Add README.textile to pybuild.testfiles instead.
  * Add autopkgtests that run the upstream test suite.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 May 2018 15:16:25 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
+Build-Depends: debhelper (>= 11),
+               dh-python (>= 3.20180313),
                python (>= 2.6.6-3~),
                python-html5lib (>= 0.999999999),
                python-pytest,
@@ -17,12 +17,10 @@
                python3-pytest-cov,
                python3-pytest-runner,
                python3-setuptools
-Standards-Version: 4.1.1
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/textile/python-textile
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-textile.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-textile.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-textile.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-textile
 
 Package: python-textile
 Architecture: all

=== debian/tests/control ===
Tests: python-textile
Depends: python-textile,
         python-pytest

Tests: python3-textile
Depends: python3-textile,
         python3-pytest

## python-textile 4.0.1

=== debian/changelog ===
python-textile (1:4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Jan 2020 21:32:11 +0300

python-textile (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0002-Sort-element-attrbutes.patch, applied upstream.
  * Bump python3-html5lib dependency to 1.0.1.
  * Move python3-regex from Suggests to Recommends.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jan 2020 14:38:14 +0300

python-textile (1:3.0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh 0001-Skip-a-test-that-requires-access-to-www.google.com.patch.
  * Sort element attrbutes, to fix build with Python 3.8.
  * Drop the Python 2 package (closes: #938216).
  * Install the /usr/bin/pytextile wrapper script.
  * Update to debhelper compat level 12.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Jan 2020 18:47:28 +0300

=== debian/tests/control ===
Tests: python3-textile
Depends: python3-textile,
         python3-pytest

=== debian/watch ===
version=3
opts=filenamemangle=s/.*archive\/([\d.]+)\.tar\.gz/python-textile_$1.orig.tar.gz/ \
https://github.com/textile/python-textile/releases .*/archive/v?([\d.]+)\.tar\.gz

## python-textile 4.0.2

=== debian/changelog ===
python-textile (1:4.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update debian/watch: adapt for new GitHub URLs, use version 4.
  * Drop build-dependency on python3-pytest-runner, no longer needed.
  * Update to debhelper compat level 13.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 18:24:28 +0300

python-textile (1:4.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dmitry Shachnev ]
  * Add a debian/clean file to fix build twice in a row.
  * Add .coveragerc to pybuild.testfiles to fix FTBFS (closes: #966997).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Aug 2020 20:51:17 +0300

python-textile (1:4.0.1-2) unstable; urgency=medium

  * Make the autopkgtest depend on python3-all, and use py3versions -s
    instead of -i.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 14:44:28 +0300

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 3.20180313),
               python3-all,
               python3-html5lib (>= 1.0.1),
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/textile/python-textile
Vcs-Git: https://salsa.debian.org/python-team/packages/python-textile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-textile

Package: python3-textile
Architecture: all
Depends: python3-html5lib (>= 1.0.1), ${misc:Depends}, ${python3:Depends}
Recommends: python3-regex
Suggests: python3-pil (>= 3.0)
Description: Python 3 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 3 module that implements a parser and generator
 that supports the Textile markup syntax.

=== debian/tests/control ===
Tests: python3-textile
Depends: python3-all, python3-pytest, python3-textile

=== debian/watch ===
version=4
https://github.com/textile/python-textile/releases .*/archive/refs/tags/v?([\d.]+)\.tar\.gz

## python-textile 4.0.3

=== Makefile ===
clean:
	$(RM) README.txt
	$(RM) -r ./dist ./build

generate_pypi_README:
	${VIRTUAL_ENV}/bin/pytextile README.textile | sed -e 's/^\t//' > README.txt

build: generate_pypi_README
	python -m build

upload_to_test: build
	twine check ./dist/*
	twine upload --repository test_textile ./dist/*

upload_to_prod: build
	twine check ./dist/*
	# for now, don't actually upload to prod PyPI, just output the command to do so.
	@echo "twine upload --repository textile ./dist/*"

=== debian/changelog ===
python-textile (1:4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Replace python3-html5lib dependency with python3-nh3.
  * Build-depend on pybuild-plugin-pyproject and python3-setuptools-scm.
  * Refresh 0001-Skip-a-test-that-requires-access-to-www.google.com.patch.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Apr 2025 23:01:40 +0300

python-textile (1:4.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-python and
      python3-html5lib.
    + python3-textile: Drop versioned constraint on python3-html5lib in Depends.
    + python3-textile: Drop versioned constraint on python3-pil in Suggests.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:13:53 +0100

=== debian/control ===
Source: python-textile
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-nh3,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
               python3-setuptools-scm
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/textile/python-textile
Vcs-Git: https://salsa.debian.org/python-team/packages/python-textile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-textile

Package: python3-textile
Architecture: all
Depends: python3-nh3, ${misc:Depends}, ${python3:Depends}
Recommends: python3-regex
Suggests: python3-pil
Description: Python 3 parser for the Textile markup
 Textile is an XHTML generator that uses a simple markup, similar
 to the one you can find on most wikis.
 .
 This is a Python 3 module that implements a parser and generator
 that supports the Textile markup syntax.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.textile
